# OSGeo::FDO::Common::Xml::XmlWriter Class Reference
[OSGeo::FDO::Common::Xml]

Inheritance diagram for OSGeo::FDO::Common::Xml::XmlWriter:

[legend]

List of all members.

## Detailed Description

XmlWriter writes an XML document to a text or binary stream. Note: The XML document is not completely written until this object is destroyed by releasing all references to it. Therefore, this object must be destroyed before reading back the document being written.

()

## Public Types
enum | LineFormat { LineFormat_None = FdoXmlWriter::LineFormat_None, LineFormat_Break = FdoXmlWriter::LineFormat_Break, LineFormat_Indent = FdoXmlWriter::LineFormat_Indent }
| XmlWriter::LineFormat specifies whether the output XML document has line breaks or indentation. More...
## Public Member Functions
System::Void | Close ()
| Closes this XML Writer by writing end tags for all elements currently open. Once this function is called, no more elements can be added to the output document.
System::String * | EncodeName (System::String *name)
| utility function that converts FDO element names to valid XML element or attribute names. Conversion is done by changing each invalid character to a hex pattern ( "-xnnnn-" ).
__property System::Boolean | get_DefaultRoot ()
| Gets the current default root state.
__property OSGeo::FDO::Common::Io::IoStream * | get_Stream ()
| Gets the underlying stream. If a text writer was passed to this object then the stream for this text writer is returned. If a stream was passed to this object then this stream is returned. If a file name as passed then a auto-generated stream (wrapped around the file) is returned.
__property OSGeo::FDO::Common::Io::IoTextWriter * | get_TextWriter ()
| Gets the underlying text writer. If a text writer was passed to this object then this text writeer is returned. Otherwise, an auto-generated text writer is returned (a text writer wrapped around the file name or stream that was passed to this object).
System::Boolean | IsValidName (System::String *name)
| Checks if a string is a valid XML 1.0 element or attribute name.
__property System::Void | set_DefaultRoot (System::Boolean defaultRoot)
| Sets whether to write the default root element. Must be called before the first element is written, otherwise an exception is thrown.
System::String * | UriToQName (System::String *location, System::String *localName)
System::String * | UriToQName (System::String *location, System::String *localName, System::Boolean isElement)
| Given an element's or attribute's globally unique name ( uri and local name ), this function returns its fully qualified name as per the XML document being written, or the unqualified name if the uri is the default namespace. This is done by searching for the current namespace declaration that references the uri.
System::Void | WriteAttribute (System::String *attributeName, System::String *attributeValue)
| Writes an attribute to the current element. An Exception is thrown if this function is called immediately after WriteEndElement().
System::Void | WriteBytes (System::Byte bytes[], System::UInt32 count)
| Writes arbitrary bytes to the XML Writer. Caller is responsible for ensuring that the text does not introduce any errors into the XML document.
System::Void | WriteCharacters (System::String *characters)
| Writes simple (character) content for the current element. This function can be called multiple times for the same element. The characters are appended to the element's content. An Exception is thrown if there is no current element.
System::Void | WriteEndElement ()
| Writes the end tag for the current element to the document. An Exception is thrown if there is no element to end.
System::Void | WriteStartElement (System::String *elementName)
| Writes an element start tag to the document.
| XmlWriter (OSGeo::FDO::Common::Io::IoTextWriter *writer)
| Constructs an XML writer on a text writer.
| XmlWriter (OSGeo::FDO::Common::Io::IoTextWriter *writer, System::Boolean defaultRoot)
| Constructs an XML writer on a text writer.
| XmlWriter (OSGeo::FDO::Common::Io::IoTextWriter *writer, System::Boolean defaultRoot, OSGeo::FDO::Common::Xml::XmlWriter::LineFormat lineFormat)
| Constructs an XML writer on a text writer.
| XmlWriter (OSGeo::FDO::Common::Io::IoTextWriter *writer, System::Boolean defaultRoot, OSGeo::FDO::Common::Xml::XmlWriter::LineFormat lineFormat, System::UInt32 lineLength)
| Constructs an XML writer on a text writer.
| XmlWriter (OSGeo::FDO::Common::Io::IoStream *stream)
| Constructs an XML writer on a stream.
| XmlWriter (OSGeo::FDO::Common::Io::IoStream *stream, System::Boolean defaultRoot)
| Constructs an XML writer on a stream.
| XmlWriter (OSGeo::FDO::Common::Io::IoStream *stream, System::Boolean defaultRoot, OSGeo::FDO::Common::Xml::XmlWriter::LineFormat lineFormat)
| Constructs an XML writer on a stream.
| XmlWriter (OSGeo::FDO::Common::Io::IoStream *stream, System::Boolean defaultRoot, OSGeo::FDO::Common::Xml::XmlWriter::LineFormat lineFormat, System::UInt32 lineLength)
| Constructs an XML writer on a stream.
| XmlWriter (System::String *fileName)
| Constructs an XML writer on a file.
| XmlWriter (System::String *fileName, System::Boolean defaultRoot)
| Constructs an XML writer on a file.
| XmlWriter (System::String *fileName, System::Boolean defaultRoot, OSGeo::FDO::Common::Xml::XmlWriter::LineFormat lineFormat)
| Constructs an XML writer on a file.
| XmlWriter (System::String *fileName, System::Boolean defaultRoot, OSGeo::FDO::Common::Xml::XmlWriter::LineFormat lineFormat, System::UInt32 lineLength)
| Constructs an XML writer on a file.